org.apache.uima.resource.impl

## Class FileLanguageResourceSpecifier_impl

- java.lang.Object
- - org.apache.uima.resource.metadata.impl.MetaDataObject_impl
  - - org.apache.uima.resource.impl.FileLanguageResourceSpecifier_impl

- All Implemented Interfaces:
    Serializable, Cloneable, FileLanguageResourceSpecifier, MetaDataObject, ResourceSpecifier, XMLizable

      public class FileLanguageResourceSpecifier_impl
      extends MetaDataObject_impl
      implements FileLanguageResourceSpecifier

  Reference implementation of `FileLanguageResourceSpecifier`.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `serialContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileLanguageResourceSpecifier_impl()` Creates a new `FileLanguageResourceSpecifier_impl`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFileUrlPrefix()` Retrieves the URL prefix.
    `String` | `getFileUrlSuffix()` Retrieves the URL suffix.
    `protected XmlizationInfo` | `getXmlizationInfo()` To be implemented by subclasses to return information describing how to represent this object in XML.
    `void` | `setFileUrlPrefix(String aPrefix)` Sets the URL prefix.
    `void` | `setFileUrlSuffix(String aSuffix)` Sets the URL suffix.

    - ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `buildFromXMLElement, buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Constructor Detail

    - #### FileLanguageResourceSpecifier_impl

          public FileLanguageResourceSpecifier_impl()

      Creates a new `FileLanguageResourceSpecifier_impl`.

  - ### Method Detail

    - #### getFileUrlPrefix

          public String getFileUrlPrefix()

      Description copied from interface: `FileLanguageResourceSpecifier`
      Retrieves the URL prefix.
      Specified by:
        `getFileUrlPrefix` in interface `FileLanguageResourceSpecifier`
      Returns:
        the URL prefix
      See Also:
        `FileLanguageResourceSpecifier.getFileUrlPrefix()`

    - #### getFileUrlSuffix

          public String getFileUrlSuffix()

      Description copied from interface: `FileLanguageResourceSpecifier`
      Retrieves the URL suffix.
      Specified by:
        `getFileUrlSuffix` in interface `FileLanguageResourceSpecifier`
      Returns:
        the URL suffix
      See Also:
        `FileLanguageResourceSpecifier.getFileUrlSuffix()`

    - #### setFileUrlPrefix

          public void setFileUrlPrefix(String aPrefix)

      Description copied from interface: `FileLanguageResourceSpecifier`
      Sets the URL prefix.
      Specified by:
        `setFileUrlPrefix` in interface `FileLanguageResourceSpecifier`
      Parameters:
        `aPrefix` - the URL prefix
      See Also:
        `FileLanguageResourceSpecifier.setFileUrlPrefix(java.lang.String)`

    - #### setFileUrlSuffix

          public void setFileUrlSuffix(String aSuffix)

      Description copied from interface: `FileLanguageResourceSpecifier`
      Sets the URL suffix.
      Specified by:
        `setFileUrlSuffix` in interface `FileLanguageResourceSpecifier`
      Parameters:
        `aSuffix` - the URL suffix
      See Also:
        `FileLanguageResourceSpecifier.setFileUrlSuffix(java.lang.String)`

    - #### getXmlizationInfo

          protected XmlizationInfo getXmlizationInfo()

      Description copied from class: `MetaDataObject_impl`
      To be implemented by subclasses to return information describing how to represent this object in XML.
      Specified by:
        `getXmlizationInfo` in class `MetaDataObject_impl`
      Returns:
        information defining this object's XML representation

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.